package atomicwheel.util;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

/**
 * {@link CollectionMap} containing a {@link Set} of elements.
 * 
 * @param <K>
 *            key type
 * @param <V>
 *            value type
 * 
 * @author matthias
 */
public class SetMap<K, V> extends CollectionMap<K, V, Set<V>> implements
		Serializable {
	private static final long serialVersionUID = 1L;

	@Override
	protected Set<V> createCollection() {
		return new HashSet<V>();
	}
}
